rule plot_fasta:
    input:
        ref= f"{frangipane_obj.path_reference_file}"
    output: 
        png = f"{frangipane_obj.path_stat_plot}/00_ref.png",
        csv = f"{frangipane_obj.path_stat_sum}/00_ref.txt"
    log:
        output = f"{frangipane_obj.path_logs}/report/plot_ref.o",
        error = f"{frangipane_obj.path_logs}/report/plot_ref.e"
    message:
         f"""--------------------
-Running {{rule}}
|-- Input:
|    - Fasta : {{input.ref}}
|-- Output:
|    - Plot : {{output.png}}
|    - Csv : {{output.csv}}
|-- Other infos:
|    - LOG output : {{log.output}} 
--------------------
"""
    run:
        gs.dashboard_genome(input.ref, output.png, output.csv)
        